<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<!--Created by IRIS Business Services Ltd., Powered by IRIS Carbon, Unique Code 68d0c69ec7fcf003e4d15086, Generated At Mon, 22 Sep 2025 03:46:38 GMT-->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xbrli="http://www.xbrl.org/2003/instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedLabel" />
  <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:label="IncomeTaxExpenseContinuingOperations" xlink:title="IncomeTaxExpenseContinuingOperations" />
    <link:label xlink:type="resource" xlink:label="label_IncomeTaxExpenseContinuingOperations" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:title="label_IncomeTaxExpenseContinuingOperations" xml:lang="en" id="label_IncomeTaxExpenseContinuingOperations">Income tax</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IncomeTaxExpenseContinuingOperations" xlink:to="label_IncomeTaxExpenseContinuingOperations" xlink:title="Label : IncomeTaxExpenseContinuingOperations to label_IncomeTaxExpenseContinuingOperations" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DilutedEarningsLossPerShare" xlink:label="DilutedEarningsLossPerShare" xlink:title="DilutedEarningsLossPerShare" />
    <link:label xlink:type="resource" xlink:label="label_DilutedEarningsLossPerShare" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:title="label_DilutedEarningsLossPerShare" xml:lang="en" id="label_DilutedEarningsLossPerShare">Diluted</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DilutedEarningsLossPerShare" xlink:to="label_DilutedEarningsLossPerShare" xlink:title="Label : DilutedEarningsLossPerShare to label_DilutedEarningsLossPerShare" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AssetsAbstract" xlink:label="AssetsAbstract" xlink:title="AssetsAbstract" />
    <link:label xlink:type="resource" xlink:label="label_AssetsAbstract" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:title="label_AssetsAbstract" xml:lang="en" id="label_AssetsAbstract">Assets</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AssetsAbstract" xlink:to="label_AssetsAbstract" xlink:title="Label : AssetsAbstract to label_AssetsAbstract" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentAssetsAbstract" xlink:label="CurrentAssetsAbstract" xlink:title="CurrentAssetsAbstract" />
    <link:label xlink:type="resource" xlink:label="label_CurrentAssetsAbstract" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:title="label_CurrentAssetsAbstract" xml:lang="en" id="label_CurrentAssetsAbstract">Current assets</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CurrentAssetsAbstract" xlink:to="label_CurrentAssetsAbstract" xlink:title="Label : CurrentAssetsAbstract to label_CurrentAssetsAbstract" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_TradeAndOtherCurrentReceivables" xlink:label="TradeAndOtherCurrentReceivables" xlink:title="TradeAndOtherCurrentReceivables" />
    <link:label xlink:type="resource" xlink:label="label_TradeAndOtherCurrentReceivables" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:title="label_TradeAndOtherCurrentReceivables" xml:lang="en" id="label_TradeAndOtherCurrentReceivables">Other receivables</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TradeAndOtherCurrentReceivables" xlink:to="label_TradeAndOtherCurrentReceivables" xlink:title="Label : TradeAndOtherCurrentReceivables to label_TradeAndOtherCurrentReceivables" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_EquityAndLiabilitiesAbstract" xlink:label="EquityAndLiabilitiesAbstract" xlink:title="EquityAndLiabilitiesAbstract" />
    <link:label xlink:type="resource" xlink:label="label_EquityAndLiabilitiesAbstract" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:title="label_EquityAndLiabilitiesAbstract" xml:lang="en" id="label_EquityAndLiabilitiesAbstract">Equity and liabilities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="EquityAndLiabilitiesAbstract" xlink:to="label_EquityAndLiabilitiesAbstract" xlink:title="Label : EquityAndLiabilitiesAbstract to label_EquityAndLiabilitiesAbstract" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_EquityAbstract" xlink:label="EquityAbstract" xlink:title="EquityAbstract" />
    <link:label xlink:type="resource" xlink:label="label_EquityAbstract" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:title="label_EquityAbstract" xml:lang="en" id="label_EquityAbstract">Equity</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="EquityAbstract" xlink:to="label_EquityAbstract" xlink:title="Label : EquityAbstract to label_EquityAbstract" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IssuedCapitalOrdinaryShares" xlink:label="IssuedCapitalOrdinaryShares" xlink:title="IssuedCapitalOrdinaryShares" />
    <link:label xlink:type="resource" xlink:label="label_IssuedCapitalOrdinaryShares" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:title="label_IssuedCapitalOrdinaryShares" xml:lang="en" id="label_IssuedCapitalOrdinaryShares">Ordinary Shares</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IssuedCapitalOrdinaryShares" xlink:to="label_IssuedCapitalOrdinaryShares" xlink:title="Label : IssuedCapitalOrdinaryShares to label_IssuedCapitalOrdinaryShares" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ReserveOfSharebasedPayments" xlink:label="ReserveOfSharebasedPayments" xlink:title="ReserveOfSharebasedPayments" />
    <link:label xlink:type="resource" xlink:label="label_ReserveOfSharebasedPayments" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:title="label_ReserveOfSharebasedPayments" xml:lang="en" id="label_ReserveOfSharebasedPayments">Share-based payment reserve</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReserveOfSharebasedPayments" xlink:to="label_ReserveOfSharebasedPayments" xlink:title="Label : ReserveOfSharebasedPayments to label_ReserveOfSharebasedPayments" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RetainedEarnings" xlink:label="RetainedEarnings" xlink:title="RetainedEarnings" />
    <link:label xlink:type="resource" xlink:label="label_RetainedEarnings" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:title="label_RetainedEarnings" xml:lang="en" id="label_RetainedEarnings">Accumulated losses</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RetainedEarnings" xlink:to="label_RetainedEarnings" xlink:title="Label : RetainedEarnings to label_RetainedEarnings" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentLiabilitiesAbstract" xlink:label="CurrentLiabilitiesAbstract" xlink:title="CurrentLiabilitiesAbstract" />
    <link:label xlink:type="resource" xlink:label="label_CurrentLiabilitiesAbstract" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:title="label_CurrentLiabilitiesAbstract" xml:lang="en" id="label_CurrentLiabilitiesAbstract">Current liabilities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CurrentLiabilitiesAbstract" xlink:to="label_CurrentLiabilitiesAbstract" xlink:title="Label : CurrentLiabilitiesAbstract to label_CurrentLiabilitiesAbstract" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_TradeAndOtherCurrentPayables" xlink:label="TradeAndOtherCurrentPayables" xlink:title="TradeAndOtherCurrentPayables" />
    <link:label xlink:type="resource" xlink:label="label_TradeAndOtherCurrentPayables" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:title="label_TradeAndOtherCurrentPayables" xml:lang="en" id="label_TradeAndOtherCurrentPayables">Trade and other payables</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TradeAndOtherCurrentPayables" xlink:to="label_TradeAndOtherCurrentPayables" xlink:title="Label : TradeAndOtherCurrentPayables to label_TradeAndOtherCurrentPayables" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentWarrantLiability" xlink:label="CurrentWarrantLiability" xlink:title="CurrentWarrantLiability" />
    <link:label xlink:type="resource" xlink:label="label_CurrentWarrantLiability" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:title="label_CurrentWarrantLiability" xml:lang="en" id="label_CurrentWarrantLiability">Warrants</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CurrentWarrantLiability" xlink:to="label_CurrentWarrantLiability" xlink:title="Label : CurrentWarrantLiability to label_CurrentWarrantLiability" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OrdinarySharesMember" xlink:label="OrdinarySharesMember" xlink:title="OrdinarySharesMember" />
    <link:label xlink:type="resource" xlink:label="label_OrdinarySharesMember" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:title="label_OrdinarySharesMember" xml:lang="en" id="label_OrdinarySharesMember">Ordinary Shares</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OrdinarySharesMember" xlink:to="label_OrdinarySharesMember" xlink:title="Label : OrdinarySharesMember to label_OrdinarySharesMember" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ReserveOfSharebasedPaymentsMember" xlink:label="ReserveOfSharebasedPaymentsMember" xlink:title="ReserveOfSharebasedPaymentsMember" />
    <link:label xlink:type="resource" xlink:label="label_ReserveOfSharebasedPaymentsMember" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:title="label_ReserveOfSharebasedPaymentsMember" xml:lang="en" id="label_ReserveOfSharebasedPaymentsMember">Share based payment reserve</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReserveOfSharebasedPaymentsMember" xlink:to="label_ReserveOfSharebasedPaymentsMember" xlink:title="Label : ReserveOfSharebasedPaymentsMember to label_ReserveOfSharebasedPaymentsMember" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RetainedEarningsMember" xlink:label="RetainedEarningsMember" xlink:title="RetainedEarningsMember" />
    <link:label xlink:type="resource" xlink:label="label_RetainedEarningsMember" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:title="label_RetainedEarningsMember" xml:lang="en" id="label_RetainedEarningsMember">Accumulated losses</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RetainedEarningsMember" xlink:to="label_RetainedEarningsMember" xlink:title="Label : RetainedEarningsMember to label_RetainedEarningsMember" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="CashFlowsFromUsedInInvestingActivities" xlink:title="CashFlowsFromUsedInInvestingActivities" />
    <link:label xlink:type="resource" xlink:label="label_CashFlowsFromUsedInInvestingActivities" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:title="label_CashFlowsFromUsedInInvestingActivities" xml:lang="en" id="label_CashFlowsFromUsedInInvestingActivities">Net cash flows received from investing activities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CashFlowsFromUsedInInvestingActivities" xlink:to="label_CashFlowsFromUsedInInvestingActivities" xlink:title="Label : CashFlowsFromUsedInInvestingActivities to label_CashFlowsFromUsedInInvestingActivities" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivitiesAbstract" xlink:label="CashFlowsFromUsedInInvestingActivitiesAbstract" xlink:title="CashFlowsFromUsedInInvestingActivitiesAbstract" />
    <link:label xlink:type="resource" xlink:label="label_CashFlowsFromUsedInInvestingActivitiesAbstract" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:title="label_CashFlowsFromUsedInInvestingActivitiesAbstract" xml:lang="en" id="label_CashFlowsFromUsedInInvestingActivitiesAbstract">Investing activities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CashFlowsFromUsedInInvestingActivitiesAbstract" xlink:to="label_CashFlowsFromUsedInInvestingActivitiesAbstract" xlink:title="Label : CashFlowsFromUsedInInvestingActivitiesAbstract to label_CashFlowsFromUsedInInvestingActivitiesAbstract" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="CashFlowsFromUsedInOperatingActivities" xlink:title="CashFlowsFromUsedInOperatingActivities" />
    <link:label xlink:type="resource" xlink:label="label_CashFlowsFromUsedInOperatingActivities" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:title="label_CashFlowsFromUsedInOperatingActivities" xml:lang="en" id="label_CashFlowsFromUsedInOperatingActivities">Net cash flows used in operating activities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="label_CashFlowsFromUsedInOperatingActivities" xlink:title="Label : CashFlowsFromUsedInOperatingActivities to label_CashFlowsFromUsedInOperatingActivities" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForFinanceIncome" xlink:label="AdjustmentsForFinanceIncome" xlink:title="AdjustmentsForFinanceIncome" />
    <link:label xlink:type="resource" xlink:label="label_AdjustmentsForFinanceIncome" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:title="label_AdjustmentsForFinanceIncome" xml:lang="en" id="label_AdjustmentsForFinanceIncome">Finance income</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AdjustmentsForFinanceIncome" xlink:to="label_AdjustmentsForFinanceIncome" xlink:title="Label : AdjustmentsForFinanceIncome to label_AdjustmentsForFinanceIncome" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivitiesAbstract" xlink:label="CashFlowsFromUsedInOperatingActivitiesAbstract" xlink:title="CashFlowsFromUsedInOperatingActivitiesAbstract" />
    <link:label xlink:type="resource" xlink:label="label_CashFlowsFromUsedInOperatingActivitiesAbstract" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:title="label_CashFlowsFromUsedInOperatingActivitiesAbstract" xml:lang="en" id="label_CashFlowsFromUsedInOperatingActivitiesAbstract">Operating activities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CashFlowsFromUsedInOperatingActivitiesAbstract" xlink:to="label_CashFlowsFromUsedInOperatingActivitiesAbstract" xlink:title="Label : CashFlowsFromUsedInOperatingActivitiesAbstract to label_CashFlowsFromUsedInOperatingActivitiesAbstract" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DisclosureOfGeneralInformationAboutFinancialStatementsExplanatory" xlink:label="DisclosureOfGeneralInformationAboutFinancialStatementsExplanatory" xlink:title="DisclosureOfGeneralInformationAboutFinancialStatementsExplanatory" />
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfGeneralInformationAboutFinancialStatementsExplanatory" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:title="label_DisclosureOfGeneralInformationAboutFinancialStatementsExplanatory" xml:lang="en" id="label_DisclosureOfGeneralInformationAboutFinancialStatementsExplanatory">GENERAL INFORMATION</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfGeneralInformationAboutFinancialStatementsExplanatory" xlink:to="label_DisclosureOfGeneralInformationAboutFinancialStatementsExplanatory" xlink:title="Label : DisclosureOfGeneralInformationAboutFinancialStatementsExplanatory to label_DisclosureOfGeneralInformationAboutFinancialStatementsExplanatory" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DisclosureOfBasisOfPreparationOfFinancialStatementsExplanatory" xlink:label="DisclosureOfBasisOfPreparationOfFinancialStatementsExplanatory" xlink:title="DisclosureOfBasisOfPreparationOfFinancialStatementsExplanatory" />
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfBasisOfPreparationOfFinancialStatementsExplanatory" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:title="label_DisclosureOfBasisOfPreparationOfFinancialStatementsExplanatory" xml:lang="en" id="label_DisclosureOfBasisOfPreparationOfFinancialStatementsExplanatory">Basis of preparation</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfBasisOfPreparationOfFinancialStatementsExplanatory" xlink:to="label_DisclosureOfBasisOfPreparationOfFinancialStatementsExplanatory" xlink:title="Label : DisclosureOfBasisOfPreparationOfFinancialStatementsExplanatory to label_DisclosureOfBasisOfPreparationOfFinancialStatementsExplanatory" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DisclosureOfGoingConcernExplanatory" xlink:label="DisclosureOfGoingConcernExplanatory" xlink:title="DisclosureOfGoingConcernExplanatory" />
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfGoingConcernExplanatory" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:title="label_DisclosureOfGoingConcernExplanatory" xml:lang="en" id="label_DisclosureOfGoingConcernExplanatory">Going concern</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfGoingConcernExplanatory" xlink:to="label_DisclosureOfGoingConcernExplanatory" xlink:title="Label : DisclosureOfGoingConcernExplanatory to label_DisclosureOfGoingConcernExplanatory" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DisclosureOfChangesInAccountingPoliciesExplanatory" xlink:label="DisclosureOfChangesInAccountingPoliciesExplanatory" xlink:title="DisclosureOfChangesInAccountingPoliciesExplanatory" />
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfChangesInAccountingPoliciesExplanatory" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:title="label_DisclosureOfChangesInAccountingPoliciesExplanatory" xml:lang="en" id="label_DisclosureOfChangesInAccountingPoliciesExplanatory">New standards and amendments to International Financial Reporting Standards</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfChangesInAccountingPoliciesExplanatory" xlink:to="label_DisclosureOfChangesInAccountingPoliciesExplanatory" xlink:title="Label : DisclosureOfChangesInAccountingPoliciesExplanatory to label_DisclosureOfChangesInAccountingPoliciesExplanatory" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DisclosureOfBasisOfConsolidationExplanatory" xlink:label="DisclosureOfBasisOfConsolidationExplanatory" xlink:title="DisclosureOfBasisOfConsolidationExplanatory" />
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfBasisOfConsolidationExplanatory" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:title="label_DisclosureOfBasisOfConsolidationExplanatory" xml:lang="en" id="label_DisclosureOfBasisOfConsolidationExplanatory">Basis of consolidation</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfBasisOfConsolidationExplanatory" xlink:to="label_DisclosureOfBasisOfConsolidationExplanatory" xlink:title="Label : DisclosureOfBasisOfConsolidationExplanatory to label_DisclosureOfBasisOfConsolidationExplanatory" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DescriptionOfAccountingPolicyForFinancialInstrumentsExplanatory" xlink:label="DescriptionOfAccountingPolicyForFinancialInstrumentsExplanatory" xlink:title="DescriptionOfAccountingPolicyForFinancialInstrumentsExplanatory" />
    <link:label xlink:type="resource" xlink:label="label_DescriptionOfAccountingPolicyForFinancialInstrumentsExplanatory" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:title="label_DescriptionOfAccountingPolicyForFinancialInstrumentsExplanatory" xml:lang="en" id="label_DescriptionOfAccountingPolicyForFinancialInstrumentsExplanatory">Financial instruments</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DescriptionOfAccountingPolicyForFinancialInstrumentsExplanatory" xlink:to="label_DescriptionOfAccountingPolicyForFinancialInstrumentsExplanatory" xlink:title="Label : DescriptionOfAccountingPolicyForFinancialInstrumentsExplanatory to label_DescriptionOfAccountingPolicyForFinancialInstrumentsExplanatory" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DescriptionOfAccountingPolicyForWarrantsExplanatory" xlink:label="DescriptionOfAccountingPolicyForWarrantsExplanatory" xlink:title="DescriptionOfAccountingPolicyForWarrantsExplanatory" />
    <link:label xlink:type="resource" xlink:label="label_DescriptionOfAccountingPolicyForWarrantsExplanatory" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:title="label_DescriptionOfAccountingPolicyForWarrantsExplanatory" xml:lang="en" id="label_DescriptionOfAccountingPolicyForWarrantsExplanatory">Warrants</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DescriptionOfAccountingPolicyForWarrantsExplanatory" xlink:to="label_DescriptionOfAccountingPolicyForWarrantsExplanatory" xlink:title="Label : DescriptionOfAccountingPolicyForWarrantsExplanatory to label_DescriptionOfAccountingPolicyForWarrantsExplanatory" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DescriptionOfAccountingPolicyToDetermineComponentsOfCashAndCashEquivalents" xlink:label="DescriptionOfAccountingPolicyToDetermineComponentsOfCashAndCashEquivalents" xlink:title="DescriptionOfAccountingPolicyToDetermineComponentsOfCashAndCashEquivalents" />
    <link:label xlink:type="resource" xlink:label="label_DescriptionOfAccountingPolicyToDetermineComponentsOfCashAndCashEquivalents" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:title="label_DescriptionOfAccountingPolicyToDetermineComponentsOfCashAndCashEquivalents" xml:lang="en" id="label_DescriptionOfAccountingPolicyToDetermineComponentsOfCashAndCashEquivalents">Cash and cash equivalents</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DescriptionOfAccountingPolicyToDetermineComponentsOfCashAndCashEquivalents" xlink:to="label_DescriptionOfAccountingPolicyToDetermineComponentsOfCashAndCashEquivalents" xlink:title="Label : DescriptionOfAccountingPolicyToDetermineComponentsOfCashAndCashEquivalents to label_DescriptionOfAccountingPolicyToDetermineComponentsOfCashAndCashEquivalents" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DescriptionOfAccountingPolicyForIssuedCapitalExplanatory" xlink:label="DescriptionOfAccountingPolicyForIssuedCapitalExplanatory" xlink:title="DescriptionOfAccountingPolicyForIssuedCapitalExplanatory" />
    <link:label xlink:type="resource" xlink:label="label_DescriptionOfAccountingPolicyForIssuedCapitalExplanatory" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:title="label_DescriptionOfAccountingPolicyForIssuedCapitalExplanatory" xml:lang="en" id="label_DescriptionOfAccountingPolicyForIssuedCapitalExplanatory">Equity</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DescriptionOfAccountingPolicyForIssuedCapitalExplanatory" xlink:to="label_DescriptionOfAccountingPolicyForIssuedCapitalExplanatory" xlink:title="Label : DescriptionOfAccountingPolicyForIssuedCapitalExplanatory to label_DescriptionOfAccountingPolicyForIssuedCapitalExplanatory" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DescriptionOfAccountingPolicyForIncomeTaxExplanatory" xlink:label="DescriptionOfAccountingPolicyForIncomeTaxExplanatory" xlink:title="DescriptionOfAccountingPolicyForIncomeTaxExplanatory" />
    <link:label xlink:type="resource" xlink:label="label_DescriptionOfAccountingPolicyForIncomeTaxExplanatory" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:title="label_DescriptionOfAccountingPolicyForIncomeTaxExplanatory" xml:lang="en" id="label_DescriptionOfAccountingPolicyForIncomeTaxExplanatory">Corporation tax</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DescriptionOfAccountingPolicyForIncomeTaxExplanatory" xlink:to="label_DescriptionOfAccountingPolicyForIncomeTaxExplanatory" xlink:title="Label : DescriptionOfAccountingPolicyForIncomeTaxExplanatory to label_DescriptionOfAccountingPolicyForIncomeTaxExplanatory" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DescriptionOfAccountingPolicyForSharebasedPaymentTransactionsExplanatory" xlink:label="DescriptionOfAccountingPolicyForSharebasedPaymentTransactionsExplanatory" xlink:title="DescriptionOfAccountingPolicyForSharebasedPaymentTransactionsExplanatory" />
    <link:label xlink:type="resource" xlink:label="label_DescriptionOfAccountingPolicyForSharebasedPaymentTransactionsExplanatory" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:title="label_DescriptionOfAccountingPolicyForSharebasedPaymentTransactionsExplanatory" xml:lang="en" id="label_DescriptionOfAccountingPolicyForSharebasedPaymentTransactionsExplanatory">Share based payments</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DescriptionOfAccountingPolicyForSharebasedPaymentTransactionsExplanatory" xlink:to="label_DescriptionOfAccountingPolicyForSharebasedPaymentTransactionsExplanatory" xlink:title="Label : DescriptionOfAccountingPolicyForSharebasedPaymentTransactionsExplanatory to label_DescriptionOfAccountingPolicyForSharebasedPaymentTransactionsExplanatory" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DisclosureOfAccountingJudgementsAndEstimatesExplanatory" xlink:label="DisclosureOfAccountingJudgementsAndEstimatesExplanatory" xlink:title="DisclosureOfAccountingJudgementsAndEstimatesExplanatory" />
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfAccountingJudgementsAndEstimatesExplanatory" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:title="label_DisclosureOfAccountingJudgementsAndEstimatesExplanatory" xml:lang="en" id="label_DisclosureOfAccountingJudgementsAndEstimatesExplanatory">CRITICAL ACCOUNTING JUDGEMENTS AND KEY SOURCES OF ESTIMATION UNCERTAINTY</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfAccountingJudgementsAndEstimatesExplanatory" xlink:to="label_DisclosureOfAccountingJudgementsAndEstimatesExplanatory" xlink:title="Label : DisclosureOfAccountingJudgementsAndEstimatesExplanatory to label_DisclosureOfAccountingJudgementsAndEstimatesExplanatory" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ExplanationOfAssumptionAboutFutureWithSignificantRiskOfResultingInMaterialAdjustments" xlink:label="ExplanationOfAssumptionAboutFutureWithSignificantRiskOfResultingInMaterialAdjustments" xlink:title="ExplanationOfAssumptionAboutFutureWithSignificantRiskOfResultingInMaterialAdjustments" />
    <link:label xlink:type="resource" xlink:label="label_ExplanationOfAssumptionAboutFutureWithSignificantRiskOfResultingInMaterialAdjustments" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:title="label_ExplanationOfAssumptionAboutFutureWithSignificantRiskOfResultingInMaterialAdjustments" xml:lang="en" id="label_ExplanationOfAssumptionAboutFutureWithSignificantRiskOfResultingInMaterialAdjustments">Key sources of estimation uncertainty</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ExplanationOfAssumptionAboutFutureWithSignificantRiskOfResultingInMaterialAdjustments" xlink:to="label_ExplanationOfAssumptionAboutFutureWithSignificantRiskOfResultingInMaterialAdjustments" xlink:title="Label : ExplanationOfAssumptionAboutFutureWithSignificantRiskOfResultingInMaterialAdjustments to label_ExplanationOfAssumptionAboutFutureWithSignificantRiskOfResultingInMaterialAdjustments" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DisclosureOfEntitysReportableSegmentsExplanatory" xlink:label="DisclosureOfEntitysReportableSegmentsExplanatory" xlink:title="DisclosureOfEntitysReportableSegmentsExplanatory" />
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfEntitysReportableSegmentsExplanatory" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:title="label_DisclosureOfEntitysReportableSegmentsExplanatory" xml:lang="en" id="label_DisclosureOfEntitysReportableSegmentsExplanatory">SEGMENT INFORMATION</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfEntitysReportableSegmentsExplanatory" xlink:to="label_DisclosureOfEntitysReportableSegmentsExplanatory" xlink:title="Label : DisclosureOfEntitysReportableSegmentsExplanatory to label_DisclosureOfEntitysReportableSegmentsExplanatory" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DisclosureOfGeneralAndAdministrativeExpenseExplanatory" xlink:label="DisclosureOfGeneralAndAdministrativeExpenseExplanatory" xlink:title="DisclosureOfGeneralAndAdministrativeExpenseExplanatory" />
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfGeneralAndAdministrativeExpenseExplanatory" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:title="label_DisclosureOfGeneralAndAdministrativeExpenseExplanatory" xml:lang="en" id="label_DisclosureOfGeneralAndAdministrativeExpenseExplanatory">ADMINISTRATIVE EXPENSES</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfGeneralAndAdministrativeExpenseExplanatory" xlink:to="label_DisclosureOfGeneralAndAdministrativeExpenseExplanatory" xlink:title="Label : DisclosureOfGeneralAndAdministrativeExpenseExplanatory to label_DisclosureOfGeneralAndAdministrativeExpenseExplanatory" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DisclosureOfIncomeTaxExplanatory" xlink:label="DisclosureOfIncomeTaxExplanatory" xlink:title="DisclosureOfIncomeTaxExplanatory" />
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfIncomeTaxExplanatory" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:title="label_DisclosureOfIncomeTaxExplanatory" xml:lang="en" id="label_DisclosureOfIncomeTaxExplanatory">INCOME TAX</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfIncomeTaxExplanatory" xlink:to="label_DisclosureOfIncomeTaxExplanatory" xlink:title="Label : DisclosureOfIncomeTaxExplanatory to label_DisclosureOfIncomeTaxExplanatory" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DisclosureOfSignificantInvestmentsInSubsidiariesExplanatory" xlink:label="DisclosureOfSignificantInvestmentsInSubsidiariesExplanatory" xlink:title="DisclosureOfSignificantInvestmentsInSubsidiariesExplanatory" />
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfSignificantInvestmentsInSubsidiariesExplanatory" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:title="label_DisclosureOfSignificantInvestmentsInSubsidiariesExplanatory" xml:lang="en" id="label_DisclosureOfSignificantInvestmentsInSubsidiariesExplanatory">SUBSIDIARY</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfSignificantInvestmentsInSubsidiariesExplanatory" xlink:to="label_DisclosureOfSignificantInvestmentsInSubsidiariesExplanatory" xlink:title="Label : DisclosureOfSignificantInvestmentsInSubsidiariesExplanatory to label_DisclosureOfSignificantInvestmentsInSubsidiariesExplanatory" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DisclosureOfTradeAndOtherReceivablesExplanatory" xlink:label="DisclosureOfTradeAndOtherReceivablesExplanatory" xlink:title="DisclosureOfTradeAndOtherReceivablesExplanatory" />
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfTradeAndOtherReceivablesExplanatory" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:title="label_DisclosureOfTradeAndOtherReceivablesExplanatory" xml:lang="en" id="label_DisclosureOfTradeAndOtherReceivablesExplanatory">OTHER RECEIVABLES</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfTradeAndOtherReceivablesExplanatory" xlink:to="label_DisclosureOfTradeAndOtherReceivablesExplanatory" xlink:title="Label : DisclosureOfTradeAndOtherReceivablesExplanatory to label_DisclosureOfTradeAndOtherReceivablesExplanatory" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DisclosureOfCashAndCashEquivalentsExplanatory" xlink:label="DisclosureOfCashAndCashEquivalentsExplanatory" xlink:title="DisclosureOfCashAndCashEquivalentsExplanatory" />
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfCashAndCashEquivalentsExplanatory" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:title="label_DisclosureOfCashAndCashEquivalentsExplanatory" xml:lang="en" id="label_DisclosureOfCashAndCashEquivalentsExplanatory">CASH AND CASH EQUIVALENTS</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfCashAndCashEquivalentsExplanatory" xlink:to="label_DisclosureOfCashAndCashEquivalentsExplanatory" xlink:title="Label : DisclosureOfCashAndCashEquivalentsExplanatory to label_DisclosureOfCashAndCashEquivalentsExplanatory" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DisclosureOfTradeAndOtherPayablesExplanatory" xlink:label="DisclosureOfTradeAndOtherPayablesExplanatory" xlink:title="DisclosureOfTradeAndOtherPayablesExplanatory" />
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfTradeAndOtherPayablesExplanatory" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:title="label_DisclosureOfTradeAndOtherPayablesExplanatory" xml:lang="en" id="label_DisclosureOfTradeAndOtherPayablesExplanatory">TRADE AND OTHER PAYABLES</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfTradeAndOtherPayablesExplanatory" xlink:to="label_DisclosureOfTradeAndOtherPayablesExplanatory" xlink:title="Label : DisclosureOfTradeAndOtherPayablesExplanatory to label_DisclosureOfTradeAndOtherPayablesExplanatory" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DisclosureOfFinancialInstrumentsExplanatory" xlink:label="DisclosureOfFinancialInstrumentsExplanatory" xlink:title="DisclosureOfFinancialInstrumentsExplanatory" />
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfFinancialInstrumentsExplanatory" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:title="label_DisclosureOfFinancialInstrumentsExplanatory" xml:lang="en" id="label_DisclosureOfFinancialInstrumentsExplanatory">WARRANT LIABLITY AND FINANCIAL INSTRUMENTS AND ASSOCIATED RISKS</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfFinancialInstrumentsExplanatory" xlink:to="label_DisclosureOfFinancialInstrumentsExplanatory" xlink:title="Label : DisclosureOfFinancialInstrumentsExplanatory to label_DisclosureOfFinancialInstrumentsExplanatory" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DisclosureOfIssuedCapitalExplanatory" xlink:label="DisclosureOfIssuedCapitalExplanatory" xlink:title="DisclosureOfIssuedCapitalExplanatory" />
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfIssuedCapitalExplanatory" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:title="label_DisclosureOfIssuedCapitalExplanatory" xml:lang="en" id="label_DisclosureOfIssuedCapitalExplanatory">STATED CAPITAL</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfIssuedCapitalExplanatory" xlink:to="label_DisclosureOfIssuedCapitalExplanatory" xlink:title="Label : DisclosureOfIssuedCapitalExplanatory to label_DisclosureOfIssuedCapitalExplanatory" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DisclosureOfReservesAndOtherEquityInterestExplanatory" xlink:label="DisclosureOfReservesAndOtherEquityInterestExplanatory" xlink:title="DisclosureOfReservesAndOtherEquityInterestExplanatory" />
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfReservesAndOtherEquityInterestExplanatory" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:title="label_DisclosureOfReservesAndOtherEquityInterestExplanatory" xml:lang="en" id="label_DisclosureOfReservesAndOtherEquityInterestExplanatory">RESERVES</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfReservesAndOtherEquityInterestExplanatory" xlink:to="label_DisclosureOfReservesAndOtherEquityInterestExplanatory" xlink:title="Label : DisclosureOfReservesAndOtherEquityInterestExplanatory to label_DisclosureOfReservesAndOtherEquityInterestExplanatory" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DisclosureOfSharebasedPaymentArrangementsExplanatory" xlink:label="DisclosureOfSharebasedPaymentArrangementsExplanatory" xlink:title="DisclosureOfSharebasedPaymentArrangementsExplanatory" />
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfSharebasedPaymentArrangementsExplanatory" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:title="label_DisclosureOfSharebasedPaymentArrangementsExplanatory" xml:lang="en" id="label_DisclosureOfSharebasedPaymentArrangementsExplanatory">SHARE-BASED PAYMENTS</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfSharebasedPaymentArrangementsExplanatory" xlink:to="label_DisclosureOfSharebasedPaymentArrangementsExplanatory" xlink:title="Label : DisclosureOfSharebasedPaymentArrangementsExplanatory to label_DisclosureOfSharebasedPaymentArrangementsExplanatory" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DisclosureOfRelatedPartyExplanatory" xlink:label="DisclosureOfRelatedPartyExplanatory" xlink:title="DisclosureOfRelatedPartyExplanatory" />
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfRelatedPartyExplanatory" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:title="label_DisclosureOfRelatedPartyExplanatory" xml:lang="en" id="label_DisclosureOfRelatedPartyExplanatory">RELATED PARTY TRANSACTIONS</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfRelatedPartyExplanatory" xlink:to="label_DisclosureOfRelatedPartyExplanatory" xlink:title="Label : DisclosureOfRelatedPartyExplanatory to label_DisclosureOfRelatedPartyExplanatory" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DisclosureOfCommitmentsAndContingentLiabilitiesExplanatory" xlink:label="DisclosureOfCommitmentsAndContingentLiabilitiesExplanatory" xlink:title="DisclosureOfCommitmentsAndContingentLiabilitiesExplanatory" />
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfCommitmentsAndContingentLiabilitiesExplanatory" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:title="label_DisclosureOfCommitmentsAndContingentLiabilitiesExplanatory" xml:lang="en" id="label_DisclosureOfCommitmentsAndContingentLiabilitiesExplanatory">COMMITMENTS AND CONTINGENT LIABILITIES</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfCommitmentsAndContingentLiabilitiesExplanatory" xlink:to="label_DisclosureOfCommitmentsAndContingentLiabilitiesExplanatory" xlink:title="Label : DisclosureOfCommitmentsAndContingentLiabilitiesExplanatory to label_DisclosureOfCommitmentsAndContingentLiabilitiesExplanatory" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DisclosureOfAuditorsRemunerationExplanatory" xlink:label="DisclosureOfAuditorsRemunerationExplanatory" xlink:title="DisclosureOfAuditorsRemunerationExplanatory" />
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfAuditorsRemunerationExplanatory" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:title="label_DisclosureOfAuditorsRemunerationExplanatory" xml:lang="en" id="label_DisclosureOfAuditorsRemunerationExplanatory">INDEPENDENT AUDITOR’S REMUNERATION</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfAuditorsRemunerationExplanatory" xlink:to="label_DisclosureOfAuditorsRemunerationExplanatory" xlink:title="Label : DisclosureOfAuditorsRemunerationExplanatory to label_DisclosureOfAuditorsRemunerationExplanatory" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DisclosureOfEventsAfterReportingPeriodExplanatory" xlink:label="DisclosureOfEventsAfterReportingPeriodExplanatory" xlink:title="DisclosureOfEventsAfterReportingPeriodExplanatory" />
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfEventsAfterReportingPeriodExplanatory" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:title="label_DisclosureOfEventsAfterReportingPeriodExplanatory" xml:lang="en" id="label_DisclosureOfEventsAfterReportingPeriodExplanatory">POST BALANCE SHEET EVENTS</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfEventsAfterReportingPeriodExplanatory" xlink:to="label_DisclosureOfEventsAfterReportingPeriodExplanatory" xlink:title="Label : DisclosureOfEventsAfterReportingPeriodExplanatory to label_DisclosureOfEventsAfterReportingPeriodExplanatory" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:label="IncreaseDecreaseInCashAndCashEquivalents" xlink:title="IncreaseDecreaseInCashAndCashEquivalents" />
    <link:label xlink:type="resource" xlink:label="label_IncreaseDecreaseInCashAndCashEquivalents" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:title="label_IncreaseDecreaseInCashAndCashEquivalents" xml:lang="en" id="label_IncreaseDecreaseInCashAndCashEquivalents">Net decrease in cash and cash equivalents</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IncreaseDecreaseInCashAndCashEquivalents" xlink:to="label_IncreaseDecreaseInCashAndCashEquivalents" xlink:title="Label : IncreaseDecreaseInCashAndCashEquivalents to label_IncreaseDecreaseInCashAndCashEquivalents" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DisclosureOfFinanceIncomeExplanatory" xlink:label="DisclosureOfFinanceIncomeExplanatory" xlink:title="DisclosureOfFinanceIncomeExplanatory" />
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfFinanceIncomeExplanatory" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:title="label_DisclosureOfFinanceIncomeExplanatory" xml:lang="en" id="label_DisclosureOfFinanceIncomeExplanatory">FINANCE INCOME</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfFinanceIncomeExplanatory" xlink:to="label_DisclosureOfFinanceIncomeExplanatory" xlink:title="Label : DisclosureOfFinanceIncomeExplanatory to label_DisclosureOfFinanceIncomeExplanatory" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_GainsLossesOnChangeInFairValueOfDerivatives" xlink:label="GainsLossesOnChangeInFairValueOfDerivatives" xlink:title="GainsLossesOnChangeInFairValueOfDerivatives" />
    <link:label xlink:type="resource" xlink:label="label_GainsLossesOnChangeInFairValueOfDerivatives" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:title="label_GainsLossesOnChangeInFairValueOfDerivatives" xml:lang="en" id="label_GainsLossesOnChangeInFairValueOfDerivatives">Movement in fair value of warrants</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GainsLossesOnChangeInFairValueOfDerivatives" xlink:to="label_GainsLossesOnChangeInFairValueOfDerivatives" xlink:title="Label : GainsLossesOnChangeInFairValueOfDerivatives to label_GainsLossesOnChangeInFairValueOfDerivatives" />
    <link:loc xlink:type="locator" xlink:href="254900YT8SO8JT2LGD15-2025-06-30.xsd#mac3_AShares" xlink:label="AShares" xlink:title="AShares" />
    <link:label xlink:type="resource" xlink:label="label_AShares" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_AShares" xml:lang="en" id="label_AShares">A Shares</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AShares" xlink:to="label_AShares" xlink:title="Label : AShares to label_AShares" />
    <link:label xlink:type="resource" xlink:label="label_AShares_1" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:title="label_AShares_1" xml:lang="en" id="label_AShares_1">The nominal value of capital arising from issuing A shares.</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AShares" xlink:to="label_AShares_1" xlink:title="Label : AShares to label_AShares_1" />
    <link:loc xlink:type="locator" xlink:href="254900YT8SO8JT2LGD15-2025-06-30.xsd#mac3_SponsorShare" xlink:label="SponsorShare" xlink:title="SponsorShare" />
    <link:label xlink:type="resource" xlink:label="label_SponsorShare" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_SponsorShare" xml:lang="en" id="label_SponsorShare">Sponsor share</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SponsorShare" xlink:to="label_SponsorShare" xlink:title="Label : SponsorShare to label_SponsorShare" />
    <link:label xlink:type="resource" xlink:label="label_SponsorShare_1" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:title="label_SponsorShare_1" xml:lang="en" id="label_SponsorShare_1">The nominal value of capital arising from issuing sponsor share.</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SponsorShare" xlink:to="label_SponsorShare_1" xlink:title="Label : SponsorShare to label_SponsorShare_1" />
    <link:loc xlink:type="locator" xlink:href="254900YT8SO8JT2LGD15-2025-06-30.xsd#mac3_ASharesMember" xlink:label="ASharesMember" xlink:title="ASharesMember" />
    <link:label xlink:type="resource" xlink:label="label_ASharesMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_ASharesMember" xml:lang="en" id="label_ASharesMember">A Shares [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ASharesMember" xlink:to="label_ASharesMember" xlink:title="Label : ASharesMember to label_ASharesMember" />
    <link:label xlink:type="resource" xlink:label="label_ASharesMember_1" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:title="label_ASharesMember_1" xml:lang="en" id="label_ASharesMember_1">A Shares</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ASharesMember" xlink:to="label_ASharesMember_1" xlink:title="Label : ASharesMember to label_ASharesMember_1" />
    <link:label xlink:type="resource" xlink:label="label_ASharesMember_2" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:title="label_ASharesMember_2" xml:lang="en" id="label_ASharesMember_2">This member stands for A shares.</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ASharesMember" xlink:to="label_ASharesMember_2" xlink:title="Label : ASharesMember to label_ASharesMember_2" />
    <link:loc xlink:type="locator" xlink:href="254900YT8SO8JT2LGD15-2025-06-30.xsd#mac3_SponsorShareMember" xlink:label="SponsorShareMember" xlink:title="SponsorShareMember" />
    <link:label xlink:type="resource" xlink:label="label_SponsorShareMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_SponsorShareMember" xml:lang="en" id="label_SponsorShareMember">Sponsor Share [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SponsorShareMember" xlink:to="label_SponsorShareMember" xlink:title="Label : SponsorShareMember to label_SponsorShareMember" />
    <link:label xlink:type="resource" xlink:label="label_SponsorShareMember_1" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:title="label_SponsorShareMember_1" xml:lang="en" id="label_SponsorShareMember_1">Sponsor Share</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SponsorShareMember" xlink:to="label_SponsorShareMember_1" xlink:title="Label : SponsorShareMember to label_SponsorShareMember_1" />
    <link:label xlink:type="resource" xlink:label="label_SponsorShareMember_2" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:title="label_SponsorShareMember_2" xml:lang="en" id="label_SponsorShareMember_2">This member stands for sponsor share.</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SponsorShareMember" xlink:to="label_SponsorShareMember_2" xlink:title="Label : SponsorShareMember to label_SponsorShareMember_2" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DescriptionOfAccountingPolicyForEarningsPerShareExplanatory" xlink:label="DescriptionOfAccountingPolicyForEarningsPerShareExplanatory" xlink:title="DescriptionOfAccountingPolicyForEarningsPerShareExplanatory" />
    <link:label xlink:type="resource" xlink:label="label_DescriptionOfAccountingPolicyForEarningsPerShareExplanatory" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:title="label_DescriptionOfAccountingPolicyForEarningsPerShareExplanatory" xml:lang="en" id="label_DescriptionOfAccountingPolicyForEarningsPerShareExplanatory">Profit / (loss) per ordinary share</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DescriptionOfAccountingPolicyForEarningsPerShareExplanatory" xlink:to="label_DescriptionOfAccountingPolicyForEarningsPerShareExplanatory" xlink:title="Label : DescriptionOfAccountingPolicyForEarningsPerShareExplanatory to label_DescriptionOfAccountingPolicyForEarningsPerShareExplanatory" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncome" xlink:label="OtherComprehensiveIncome" xlink:title="OtherComprehensiveIncome" />
    <link:label xlink:type="resource" xlink:label="label_OtherComprehensiveIncome" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:title="label_OtherComprehensiveIncome" xml:lang="en" id="label_OtherComprehensiveIncome">Total other comprehensive income</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OtherComprehensiveIncome" xlink:to="label_OtherComprehensiveIncome" xlink:title="Label : OtherComprehensiveIncome to label_OtherComprehensiveIncome" />
    <link:loc xlink:type="locator" xlink:href="254900YT8SO8JT2LGD15-2025-06-30.xsd#mac3_ReversalOfUnrealisedLossOnCancellationOfAWarrants" xlink:label="ReversalOfUnrealisedLossOnCancellationOfAWarrants" xlink:title="ReversalOfUnrealisedLossOnCancellationOfAWarrants" />
    <link:label xlink:type="resource" xlink:label="label_ReversalOfUnrealisedLossOnCancellationOfAWarrants" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_ReversalOfUnrealisedLossOnCancellationOfAWarrants" xml:lang="en" id="label_ReversalOfUnrealisedLossOnCancellationOfAWarrants">Reversal of Unrealised Loss on Cancellation of A Warrants</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReversalOfUnrealisedLossOnCancellationOfAWarrants" xlink:to="label_ReversalOfUnrealisedLossOnCancellationOfAWarrants" xlink:title="Label : ReversalOfUnrealisedLossOnCancellationOfAWarrants to label_ReversalOfUnrealisedLossOnCancellationOfAWarrants" />
    <link:label xlink:type="resource" xlink:label="label_ReversalOfUnrealisedLossOnCancellationOfAWarrants_1" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:title="label_ReversalOfUnrealisedLossOnCancellationOfAWarrants_1" xml:lang="en" id="label_ReversalOfUnrealisedLossOnCancellationOfAWarrants_1">Reversal of unrealised loss on cancellation of A warrants</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReversalOfUnrealisedLossOnCancellationOfAWarrants" xlink:to="label_ReversalOfUnrealisedLossOnCancellationOfAWarrants_1" xlink:title="Label : ReversalOfUnrealisedLossOnCancellationOfAWarrants to label_ReversalOfUnrealisedLossOnCancellationOfAWarrants_1" />
    <link:label xlink:type="resource" xlink:label="label_ReversalOfUnrealisedLossOnCancellationOfAWarrants_2" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:title="label_ReversalOfUnrealisedLossOnCancellationOfAWarrants_2" xml:lang="en" id="label_ReversalOfUnrealisedLossOnCancellationOfAWarrants_2">The amount of reversal of unrealised loss on cancellation of A warrants.</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReversalOfUnrealisedLossOnCancellationOfAWarrants" xlink:to="label_ReversalOfUnrealisedLossOnCancellationOfAWarrants_2" xlink:title="Label : ReversalOfUnrealisedLossOnCancellationOfAWarrants to label_ReversalOfUnrealisedLossOnCancellationOfAWarrants_2" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_EarningsPerShareAbstract" xlink:label="EarningsPerShareAbstract" xlink:title="EarningsPerShareAbstract" />
    <link:label xlink:type="resource" xlink:label="label_EarningsPerShareAbstract" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:title="label_EarningsPerShareAbstract" xml:lang="en" id="label_EarningsPerShareAbstract">(Loss)/profit per ordinary share</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="EarningsPerShareAbstract" xlink:to="label_EarningsPerShareAbstract" xlink:title="Label : EarningsPerShareAbstract to label_EarningsPerShareAbstract" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_BasicEarningsLossPerShare" xlink:label="BasicEarningsLossPerShare" xlink:title="BasicEarningsLossPerShare" />
    <link:label xlink:type="resource" xlink:label="label_BasicEarningsLossPerShare" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:title="label_BasicEarningsLossPerShare" xml:lang="en" id="label_BasicEarningsLossPerShare">Basic</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="BasicEarningsLossPerShare" xlink:to="label_BasicEarningsLossPerShare" xlink:title="Label : BasicEarningsLossPerShare to label_BasicEarningsLossPerShare" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ComprehensiveIncome" xlink:label="ComprehensiveIncome" xlink:title="ComprehensiveIncome" />
    <link:label xlink:type="resource" xlink:label="label_ComprehensiveIncome" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:title="label_ComprehensiveIncome" xml:lang="en" id="label_ComprehensiveIncome">Total comprehensive loss (profit) for the year</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ComprehensiveIncome" xlink:to="label_ComprehensiveIncome" xlink:title="Label : ComprehensiveIncome to label_ComprehensiveIncome" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLoss" xlink:label="ProfitLoss" xlink:title="ProfitLoss" />
    <link:label xlink:type="resource" xlink:label="label_ProfitLoss" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:title="label_ProfitLoss" xml:lang="en" id="label_ProfitLoss">(Loss)/profit for the year</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProfitLoss" xlink:to="label_ProfitLoss" xlink:title="Label : ProfitLoss to label_ProfitLoss" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForReconcileProfitLossAbstract" xlink:label="AdjustmentsForReconcileProfitLossAbstract" xlink:title="AdjustmentsForReconcileProfitLossAbstract" />
    <link:label xlink:type="resource" xlink:label="label_AdjustmentsForReconcileProfitLossAbstract" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:title="label_AdjustmentsForReconcileProfitLossAbstract" xml:lang="en" id="label_AdjustmentsForReconcileProfitLossAbstract">Adjustments to reconcile total operating (loss)/profit to net cash flows:</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AdjustmentsForReconcileProfitLossAbstract" xlink:to="label_AdjustmentsForReconcileProfitLossAbstract" xlink:title="Label : AdjustmentsForReconcileProfitLossAbstract to label_AdjustmentsForReconcileProfitLossAbstract" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForGainsLossesOnChangeInFairValueOfDerivatives" xlink:label="AdjustmentsForGainsLossesOnChangeInFairValueOfDerivatives" xlink:title="AdjustmentsForGainsLossesOnChangeInFairValueOfDerivatives" />
    <link:label xlink:type="resource" xlink:label="label_AdjustmentsForGainsLossesOnChangeInFairValueOfDerivatives" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:title="label_AdjustmentsForGainsLossesOnChangeInFairValueOfDerivatives" xml:lang="en" id="label_AdjustmentsForGainsLossesOnChangeInFairValueOfDerivatives">Fair Value (gain) on warrant liability</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AdjustmentsForGainsLossesOnChangeInFairValueOfDerivatives" xlink:to="label_AdjustmentsForGainsLossesOnChangeInFairValueOfDerivatives" xlink:title="Label : AdjustmentsForGainsLossesOnChangeInFairValueOfDerivatives to label_AdjustmentsForGainsLossesOnChangeInFairValueOfDerivatives" />
    <link:loc xlink:type="locator" xlink:href="254900YT8SO8JT2LGD15-2025-06-30.xsd#mac3_AdjustmentsForReversalOfUnrealisedLossOnCancellationOfAWarrants" xlink:label="AdjustmentsForReversalOfUnrealisedLossOnCancellationOfAWarrants" xlink:title="AdjustmentsForReversalOfUnrealisedLossOnCancellationOfAWarrants" />
    <link:label xlink:type="resource" xlink:label="label_AdjustmentsForReversalOfUnrealisedLossOnCancellationOfAWarrants" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_AdjustmentsForReversalOfUnrealisedLossOnCancellationOfAWarrants" xml:lang="en" id="label_AdjustmentsForReversalOfUnrealisedLossOnCancellationOfAWarrants">Adjustments for Reversal of Unrealised Loss on Cancellation of A Warrants</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AdjustmentsForReversalOfUnrealisedLossOnCancellationOfAWarrants" xlink:to="label_AdjustmentsForReversalOfUnrealisedLossOnCancellationOfAWarrants" xlink:title="Label : AdjustmentsForReversalOfUnrealisedLossOnCancellationOfAWarrants to label_AdjustmentsForReversalOfUnrealisedLossOnCancellationOfAWarrants" />
    <link:label xlink:type="resource" xlink:label="label_AdjustmentsForReversalOfUnrealisedLossOnCancellationOfAWarrants_1" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:title="label_AdjustmentsForReversalOfUnrealisedLossOnCancellationOfAWarrants_1" xml:lang="en" id="label_AdjustmentsForReversalOfUnrealisedLossOnCancellationOfAWarrants_1">Reversal of unrealized loss on cancellation of A warrants</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AdjustmentsForReversalOfUnrealisedLossOnCancellationOfAWarrants" xlink:to="label_AdjustmentsForReversalOfUnrealisedLossOnCancellationOfAWarrants_1" xlink:title="Label : AdjustmentsForReversalOfUnrealisedLossOnCancellationOfAWarrants to label_AdjustmentsForReversalOfUnrealisedLossOnCancellationOfAWarrants_1" />
    <link:label xlink:type="resource" xlink:label="label_AdjustmentsForReversalOfUnrealisedLossOnCancellationOfAWarrants_2" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:title="label_AdjustmentsForReversalOfUnrealisedLossOnCancellationOfAWarrants_2" xml:lang="en" id="label_AdjustmentsForReversalOfUnrealisedLossOnCancellationOfAWarrants_2">Adjustments for reversal of unrealised loss on cancellation of A warrants to reconcile profit (loss) to net cash flow from (used in) operating activities.</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AdjustmentsForReversalOfUnrealisedLossOnCancellationOfAWarrants" xlink:to="label_AdjustmentsForReversalOfUnrealisedLossOnCancellationOfAWarrants_2" xlink:title="Label : AdjustmentsForReversalOfUnrealisedLossOnCancellationOfAWarrants to label_AdjustmentsForReversalOfUnrealisedLossOnCancellationOfAWarrants_2" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInOtherOperatingReceivables" xlink:label="AdjustmentsForDecreaseIncreaseInOtherOperatingReceivables" xlink:title="AdjustmentsForDecreaseIncreaseInOtherOperatingReceivables" />
    <link:label xlink:type="resource" xlink:label="label_AdjustmentsForDecreaseIncreaseInOtherOperatingReceivables" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:title="label_AdjustmentsForDecreaseIncreaseInOtherOperatingReceivables" xml:lang="en" id="label_AdjustmentsForDecreaseIncreaseInOtherOperatingReceivables">(Increase)/decrease in other receivables</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AdjustmentsForDecreaseIncreaseInOtherOperatingReceivables" xlink:to="label_AdjustmentsForDecreaseIncreaseInOtherOperatingReceivables" xlink:title="Label : AdjustmentsForDecreaseIncreaseInOtherOperatingReceivables to label_AdjustmentsForDecreaseIncreaseInOtherOperatingReceivables" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables" xlink:label="AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables" xlink:title="AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables" />
    <link:label xlink:type="resource" xlink:label="label_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:title="label_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables" xml:lang="en" id="label_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables">Increase in trade and other payables</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables" xlink:to="label_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables" xlink:title="Label : AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables to label_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables" />
    <link:loc xlink:type="locator" xlink:href="254900YT8SO8JT2LGD15-2025-06-30.xsd#mac3_RepurchaseOfAShares" xlink:label="RepurchaseOfAShares" xlink:title="RepurchaseOfAShares" />
    <link:label xlink:type="resource" xlink:label="label_RepurchaseOfAShares" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_RepurchaseOfAShares" xml:lang="en" id="label_RepurchaseOfAShares">Repurchase of A Shares</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RepurchaseOfAShares" xlink:to="label_RepurchaseOfAShares" xlink:title="Label : RepurchaseOfAShares to label_RepurchaseOfAShares" />
    <link:label xlink:type="resource" xlink:label="label_RepurchaseOfAShares_1" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:title="label_RepurchaseOfAShares_1" xml:lang="en" id="label_RepurchaseOfAShares_1">Repurchase of A shares</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RepurchaseOfAShares" xlink:to="label_RepurchaseOfAShares_1" xlink:title="Label : RepurchaseOfAShares to label_RepurchaseOfAShares_1" />
    <link:label xlink:type="resource" xlink:label="label_RepurchaseOfAShares_2" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:title="label_RepurchaseOfAShares_2" xml:lang="en" id="label_RepurchaseOfAShares_2">The cash outflow for repurchase of A shares.</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RepurchaseOfAShares" xlink:to="label_RepurchaseOfAShares_2" xlink:title="Label : RepurchaseOfAShares to label_RepurchaseOfAShares_2" />
    <link:loc xlink:type="locator" xlink:href="254900YT8SO8JT2LGD15-2025-06-30.xsd#mac3_RepurchaseOfAWarrants" xlink:label="RepurchaseOfAWarrants" xlink:title="RepurchaseOfAWarrants" />
    <link:label xlink:type="resource" xlink:label="label_RepurchaseOfAWarrants" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_RepurchaseOfAWarrants" xml:lang="en" id="label_RepurchaseOfAWarrants">Repurchase of A Warrants</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RepurchaseOfAWarrants" xlink:to="label_RepurchaseOfAWarrants" xlink:title="Label : RepurchaseOfAWarrants to label_RepurchaseOfAWarrants" />
    <link:label xlink:type="resource" xlink:label="label_RepurchaseOfAWarrants_1" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:title="label_RepurchaseOfAWarrants_1" xml:lang="en" id="label_RepurchaseOfAWarrants_1">The cash outflow for repurchase of A warrants.</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RepurchaseOfAWarrants" xlink:to="label_RepurchaseOfAWarrants_1" xlink:title="Label : RepurchaseOfAWarrants to label_RepurchaseOfAWarrants_1" />
    <link:label xlink:type="resource" xlink:label="label_RepurchaseOfAWarrants_2" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:title="label_RepurchaseOfAWarrants_2" xml:lang="en" id="label_RepurchaseOfAWarrants_2">Repurchase of A warrants</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RepurchaseOfAWarrants" xlink:to="label_RepurchaseOfAWarrants_2" xlink:title="Label : RepurchaseOfAWarrants to label_RepurchaseOfAWarrants_2" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="CashFlowsFromUsedInFinancingActivities" xlink:title="CashFlowsFromUsedInFinancingActivities" />
    <link:label xlink:type="resource" xlink:label="label_CashFlowsFromUsedInFinancingActivities" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:title="label_CashFlowsFromUsedInFinancingActivities" xml:lang="en" id="label_CashFlowsFromUsedInFinancingActivities">Net cash flows used in financing activities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CashFlowsFromUsedInFinancingActivities" xlink:to="label_CashFlowsFromUsedInFinancingActivities" xlink:title="Label : CashFlowsFromUsedInFinancingActivities to label_CashFlowsFromUsedInFinancingActivities" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivitiesAbstract" xlink:label="CashFlowsFromUsedInFinancingActivitiesAbstract" xlink:title="CashFlowsFromUsedInFinancingActivitiesAbstract" />
    <link:label xlink:type="resource" xlink:label="label_CashFlowsFromUsedInFinancingActivitiesAbstract" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:title="label_CashFlowsFromUsedInFinancingActivitiesAbstract" xml:lang="en" id="label_CashFlowsFromUsedInFinancingActivitiesAbstract">Financing activities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CashFlowsFromUsedInFinancingActivitiesAbstract" xlink:to="label_CashFlowsFromUsedInFinancingActivitiesAbstract" xlink:title="Label : CashFlowsFromUsedInFinancingActivitiesAbstract to label_CashFlowsFromUsedInFinancingActivitiesAbstract" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DisclosureOfEarningsPerShareExplanatory" xlink:label="DisclosureOfEarningsPerShareExplanatory" xlink:title="DisclosureOfEarningsPerShareExplanatory" />
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfEarningsPerShareExplanatory" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:title="label_DisclosureOfEarningsPerShareExplanatory" xml:lang="en" id="label_DisclosureOfEarningsPerShareExplanatory">EARNINGS / LOSS PER ORDINARY SHARE</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfEarningsPerShareExplanatory" xlink:to="label_DisclosureOfEarningsPerShareExplanatory" xlink:title="Label : DisclosureOfEarningsPerShareExplanatory to label_DisclosureOfEarningsPerShareExplanatory" />
    <link:loc xlink:type="locator" xlink:href="254900YT8SO8JT2LGD15-2025-06-30.xsd#mac3_RepurchaseAndCancellationOfAShares" xlink:label="RepurchaseAndCancellationOfAShares" xlink:title="RepurchaseAndCancellationOfAShares" />
    <link:label xlink:type="resource" xlink:label="label_RepurchaseAndCancellationOfAShares" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_RepurchaseAndCancellationOfAShares" xml:lang="en" id="label_RepurchaseAndCancellationOfAShares">Repurchase and Cancellation of A Shares</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RepurchaseAndCancellationOfAShares" xlink:to="label_RepurchaseAndCancellationOfAShares" xlink:title="Label : RepurchaseAndCancellationOfAShares to label_RepurchaseAndCancellationOfAShares" />
    <link:label xlink:type="resource" xlink:label="label_RepurchaseAndCancellationOfAShares_1" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:title="label_RepurchaseAndCancellationOfAShares_1" xml:lang="en" id="label_RepurchaseAndCancellationOfAShares_1">Repurchase and cancellation of A Shares</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RepurchaseAndCancellationOfAShares" xlink:to="label_RepurchaseAndCancellationOfAShares_1" xlink:title="Label : RepurchaseAndCancellationOfAShares to label_RepurchaseAndCancellationOfAShares_1" />
    <link:label xlink:type="resource" xlink:label="label_RepurchaseAndCancellationOfAShares_2" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:title="label_RepurchaseAndCancellationOfAShares_2" xml:lang="en" id="label_RepurchaseAndCancellationOfAShares_2">The decrease in equity resulting from repurchase and cancellation of A Shares.</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RepurchaseAndCancellationOfAShares" xlink:to="label_RepurchaseAndCancellationOfAShares_2" xlink:title="Label : RepurchaseAndCancellationOfAShares to label_RepurchaseAndCancellationOfAShares_2" />
  </link:labelLink>
</link:linkbase>